Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » EMF "Technology" (Ecore Tools, EMFatic, etc)  » Porblem by using ecore tool
Porblem by using ecore tool [message #107038] Wed, 16 January 2008 14:57 Go to next message
Thomas Roland is currently offline Thomas RolandFriend
Messages: 36
Registered: July 2009
Member
I download the ecore tool plug-ins for eclipse and the examples. As I try
to open the example file I got error as follow:
Error opening the editor.
org.eclipse.gmf.runtime.notation.impl.NodeImpl

Someone knows why?

P.S.: I use Eclipse Europa and JDK 1.5
Re: Porblem by using ecore tool [message #107057 is a reply to message #107038] Wed, 16 January 2008 15:34 Go to previous messageGo to next message
Jacques LESCOT is currently offline Jacques LESCOTFriend
Messages: 247
Registered: July 2009
Senior Member
Thomas, EcoreTools requires Eclipse 3.4M4 and its dependencies. Look at
the Download page, there is a list of all the dependencies and a link to
download them easily.

thomas2004 a écrit :
> I download the ecore tool plug-ins for eclipse and the examples. As I
> try to open the example file I got error as follow:
> Error opening the editor.
> org.eclipse.gmf.runtime.notation.impl.NodeImpl
>
> Someone knows why?
>
> P.S.: I use Eclipse Europa and JDK 1.5
>
>
Re: Porblem by using ecore tool [message #107155 is a reply to message #107057] Wed, 16 January 2008 20:03 Go to previous messageGo to next message
Thomas Roland is currently offline Thomas RolandFriend
Messages: 36
Registered: July 2009
Member
Eclipse 3.4M4 is for Apple Mac, or?
Re: Porblem by using ecore tool [message #107216 is a reply to message #107155] Thu, 17 January 2008 08:50 Go to previous message
Jacques LESCOT is currently offline Jacques LESCOTFriend
Messages: 247
Registered: July 2009
Senior Member
thomas a écrit :
> Eclipse 3.4M4 is for Apple Mac, or?
>

Yes, it should work for several platforms : see the list of available
platforms here to download the corresponding package in your case :
http://download.eclipse.org/eclipse/downloads/drops/S-3.4M4- 200712131700/index.php

Then other components GMF, GEF, GMF, Ecore Tools, ... provide a single
package that works for all platforms.
Re: Porblem by using ecore tool [message #614002 is a reply to message #107038] Wed, 16 January 2008 15:34 Go to previous message
Jacques LESCOT is currently offline Jacques LESCOTFriend
Messages: 247
Registered: July 2009
Senior Member
Thomas, EcoreTools requires Eclipse 3.4M4 and its dependencies. Look at
the Download page, there is a list of all the dependencies and a link to
download them easily.

thomas2004 a écrit :
> I download the ecore tool plug-ins for eclipse and the examples. As I
> try to open the example file I got error as follow:
> Error opening the editor.
> org.eclipse.gmf.runtime.notation.impl.NodeImpl
>
> Someone knows why?
>
> P.S.: I use Eclipse Europa and JDK 1.5
>
>
Re: Porblem by using ecore tool [message #614009 is a reply to message #107057] Wed, 16 January 2008 20:03 Go to previous message
Thomas Roland is currently offline Thomas RolandFriend
Messages: 36
Registered: July 2009
Member
Eclipse 3.4M4 is for Apple Mac, or?
Re: Porblem by using ecore tool [message #614013 is a reply to message #107155] Thu, 17 January 2008 08:50 Go to previous message
Jacques LESCOT is currently offline Jacques LESCOTFriend
Messages: 247
Registered: July 2009
Senior Member
thomas a écrit :
> Eclipse 3.4M4 is for Apple Mac, or?
>

Yes, it should work for several platforms : see the list of available
platforms here to download the corresponding package in your case :
http://download.eclipse.org/eclipse/downloads/drops/S-3.4M4- 200712131700/index.php

Then other components GMF, GEF, GMF, Ecore Tools, ... provide a single
package that works for all platforms.
Previous Topic:[Teneo] problem with validation of generated hbm
Next Topic:Bug in TENEO 0.8.0.v2007.12.28.0940
Goto Forum:
  


Current Time: Sat Sep 19 17:16:05 GMT 2020

Powered by FUDForum. Page generated in 0.07090 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top